commit:     da7a0c260c260e875116f864228d0daf40beac11
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  5 15:00:15 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jan  5 15:17:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da7a0c26

www-servers/boa: Bump to EAPI 7

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 www-servers/boa/boa-0.94.14_rc21-r2.ebuild        | 23 ++++++++++++-----------
 www-servers/boa/files/boa-0.94.14_rc21-texi.patch |  4 ++--
 2 files changed, 14 insertions(+), 13 deletions(-)

diff --git a/www-servers/boa/boa-0.94.14_rc21-r2.ebuild 
b/www-servers/boa/boa-0.94.14_rc21-r2.ebuild
index bde46ceae87..0795392e1bd 100644
--- a/www-servers/boa/boa-0.94.14_rc21-r2.ebuild
+++ b/www-servers/boa/boa-0.94.14_rc21-r2.ebuild
@@ -1,13 +1,14 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit eutils systemd
+EAPI=7
+inherit systemd
 
 MY_P=${P/_/}
 DESCRIPTION="A very small and very fast http daemon"
 SRC_URI="http://www.boa.org/${MY_P}.tar.gz";
 HOMEPAGE="http://www.boa.org/";
+S=${WORKDIR}/${MY_P}
 
 KEYWORDS="~amd64 ~mips ~ppc ~sparc ~x86"
 LICENSE="GPL-2"
@@ -15,21 +16,21 @@ SLOT="0"
 IUSE="doc"
 
 RDEPEND=""
-DEPEND="sys-devel/bison
+BDEPEND="sys-devel/bison
        sys-devel/flex
        doc? ( virtual/latex-base )"
 
-S=${WORKDIR}/${MY_P}
-
-src_prepare() {
-       epatch "${FILESDIR}"/${P}-texi.patch
-       epatch "${FILESDIR}"/${P}-ENOSYS.patch
-}
+PATCHES=(
+       "${FILESDIR}"/${P}-texi.patch
+       "${FILESDIR}"/${P}-ENOSYS.patch
+)
 
 src_compile() {
        default
 
-       use doc || sed -i -e '/^all:/s/boa.dvi //' docs/Makefile
+       if ! use doc; then
+               sed -i -e '/^all:/s/boa.dvi //' docs/Makefile || die
+       fi
        emake docs
 }
 

diff --git a/www-servers/boa/files/boa-0.94.14_rc21-texi.patch 
b/www-servers/boa/files/boa-0.94.14_rc21-texi.patch
index 68fcdfbe08e..7853433efb1 100644
--- a/www-servers/boa/files/boa-0.94.14_rc21-texi.patch
+++ b/www-servers/boa/files/boa-0.94.14_rc21-texi.patch
@@ -1,5 +1,5 @@
---- docs/boa.texi.org  2003-02-02 06:02:22.000000000 +0100
-+++ docs/boa.texi      2007-05-21 01:22:27.997819260 +0200
+--- a/docs/boa.texi    2003-02-02 06:02:22.000000000 +0100
++++ b/docs/boa.texi    2007-05-21 01:22:27.997819260 +0200
 @@ -33,10 +33,10 @@
  @direntry
  * Boa: (boa).           The Boa Webserver

Reply via email to